package com.sun.org.apache.xml.internal.security.c14n;

import com.sun.org.apache.xml.internal.security.exceptions.XMLSecurityException;

public class InvalidCanonicalizerException extends XMLSecurityException
{
    private static final long serialVersionUID = 1L;
    
    public InvalidCanonicalizerException() {
    }
    
    public InvalidCanonicalizerException(String msgID) {
        super(msgID);
    }
    
    public InvalidCanonicalizerException(String msgID, Object[] exArgs) {
        super(msgID, exArgs);
    }
    
    public InvalidCanonicalizerException(Exception originalException, String msgID) {
        super(originalException, msgID);
    }
    
    @Deprecated
    public InvalidCanonicalizerException(String s, Exception ex) {
        this(ex, s);
    }
    
    public InvalidCanonicalizerException(Exception originalException, String msgID, Object[] exArgs) {
        super(originalException, msgID, exArgs);
    }
    
    @Deprecated
    public InvalidCanonicalizerException(String s, Object[] array, Exception ex) {
        this(ex, s, array);
    }
}
